Skip to main content
PATCH
/
inbox_embeds
/
{inbox_embed_id}
Update inbox embed
curl --request PATCH \
  --url https://api.kapso.ai/platform/v1/inbox_embeds/{inbox_embed_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "inbox_embed": {
    "allowed_origins": [
      "https://app.example.com"
    ],
    "default_mode": "dark"
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scope_type": "project",
    "status": "active",
    "allowed_origins": [
      "https://app.example.com"
    ],
    "default_mode": "system",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "scope_id": "<string>",
    "scope_name": "<string>",
    "assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assigned_user_name": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kapso.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

inbox_embed_id
string<uuid>
required

Body

application/json
inbox_embed
object
required

Response

Inbox embed updated

data
object
required